/*
 *  Copyright (C) 2008 Daniel Bessler <danielb@kiba-dock.org>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301  USA.
 *
 *  Author : Daniel Bessler <danielb@kiba-dock.org>
 *
*/

#ifndef __KIBA_MIME_EXTENSIONS_H__
#define __KIBA_MIME_EXTENSIONS_H__

#include <glib.h>
#include <gdk/gdk.h>

#include <libgnomevfs/gnome-vfs-mime.h>
#include <libgnomevfs/gnome-vfs-mime-handlers.h>
typedef GnomeVFSMimeApplication KibaMimeApplication;

G_BEGIN_DECLS

gboolean kiba_mime_application_is_user_owned (const char *id);

void kiba_mime_application_remove (const char *id);

gboolean kiba_mime_set_default_application (const char *mime_type,
                                            const char *id);

GList* kiba_mime_get_available_mime_types (const char *mime_type);

void kiba_mime_application_free (KibaMimeApplication *app);

GdkPixbuf* kiba_mime_get_icon (KibaMimeApplication *app);

G_END_DECLS

#endif
