/*
 *  Copyright (C) 2007 Daniel Bessler <danielb@kiba-dock.org>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301  USA.
 *
 *  Author : Daniel Bessler <danielb@kiba-dock.org>
 *
*/

#ifndef __KIBA_STACK_ICON_VIEW_H__
#define __KIBA_STACK_ICON_VIEW_H__

#include <glib.h>

#include "stack-icon.h"

G_BEGIN_DECLS

typedef enum {
	KIBA_STACK_TYPE_CUSTOM = 0,
	KIBA_STACK_TYPE_DIRECTORY,
	KIBA_STACK_TYPE_NONE
}KibaViewType;

typedef struct {
	KibaViewType type;
	KibaIconViewWin *win;
	KibaStack *stack; /* the stack the icon-view was created for */
	KibaStackIcon *icon; /* the icon the icon-view was created for */
	char *path;
}KibaStackIconView;

KibaStackIconView* kiba_stack_icon_view_get ();

void kiba_stack_icon_view_toggle (KibaStack *stack,
                                  KibaStackIcon *icon);

gboolean kiba_icon_view_activate_directory_icon (KibaStackIcon *icon);

void kiba_stack_icon_view_add_icon (KibaStackIconView *icon_view, KibaStackIcon *icon);

void kiba_stack_icon_view_destroy ();

G_END_DECLS

#endif
