/*
 *  Copyright (C) 2007 Daniel Bessler <danielb@kiba-dock.org>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301  USA.
 *
 *  Author : Daniel Bessler <danielb@kiba-dock.org>
*/

#ifndef __KIBA_STACK_ICON_H__
#define __KIBA_STACK_ICON_H__

#include <glib.h>
#include <gtk/gtk.h>
#include <cairo.h>

#include <libgnomevfs/gnome-vfs-mime-handlers.h>
#include <libgnomevfs/gnome-vfs-monitor.h>

G_BEGIN_DECLS

typedef struct _KibaStackIcon KibaStackIcon;

#include "stack.h"

typedef enum {
	KIBA_STACK_ICON_TYPE_MIME_FILE = 0,
	KIBA_STACK_ICON_TYPE_THUMB_FILE,
	KIBA_STACK_ICON_TYPE_DESKTOP,
	KIBA_STACK_ICON_TYPE_DIRECTORY
}KibaStackIconType;

struct _KibaStackIcon {
	KibaStack *stack;
	
	KibaStackIconType type;
	
	char *url;
	const char *name;
	char *mime_icon;
	char *custom_icon;
	
	cairo_surface_t *surface;
	
	GnomeVFSMonitorHandle *monitor;
};

KibaStackIcon* kiba_stack_icon_new (KibaStack *stack, const char *path);

void kiba_stack_icon_update_surface (KibaStackIcon *icon);

char* kiba_stack_icon_get_command (KibaStackIcon *icon);

void kiba_stack_icon_destroy (KibaStackIcon *icon);

G_END_DECLS

#endif
